<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="9.00"
	Name="BWTA"
	ProjectGUID="{E833654C-1984-4571-9C82-6F8976B81B3C}"
	RootNamespace="terrain_analysis"
	Keyword="Win32Proj"
	TargetFrameworkVersion="196613"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="4"
			CharacterSet="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				AdditionalOptions="-Zm120"
				Optimization="0"
				AdditionalIncludeDirectories="include;../BWAPI/include;vendors/tinyxml;vendors/CGAL;vendors/CGAL/auxiliary/gmp/include;vendors/Qt/include;vendors/Qt/include/QtCore;vendors/Qt/include/QtGui;vendors/Qt/include/ActiveQt"
				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;_CRT_SECURE_NO_WARNINGS"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				UsePrecompiledHeader="2"
				ProgramDataBaseFileName="$(OutDir)\BWTAd.pdb"
				WarningLevel="3"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
				AdditionalDependencies="BWAPId.lib  tinyxmld.lib CGAL-vc90-mt-gd.lib gmp-vc90-mt-gd.lib mpfr-vc90-mt-gd.lib"
				OutputFile="$(OutDir)\BWTAd.lib"
				AdditionalLibraryDirectories="..\lib\"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="4"
			CharacterSet="1"
			WholeProgramOptimization="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				InlineFunctionExpansion="2"
				EnableIntrinsicFunctions="true"
				FavorSizeOrSpeed="0"
				WholeProgramOptimization="false"
				AdditionalIncludeDirectories="include;../BWAPI/include;vendors/tinyxml;vendors/CGAL;vendors/CGAL/auxiliary/gmp/include;vendors/Qt/include;vendors/Qt/include/QtCore;vendors/Qt/include/QtGui;vendors/Qt/include/ActiveQt"
				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE;_CRT_SECURE_NO_WARNINGS"
				StringPooling="true"
				RuntimeLibrary="2"
				EnableFunctionLevelLinking="true"
				UsePrecompiledHeader="2"
				WarningLevel="3"
				DebugInformationFormat="0"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
				LinkLibraryDependencies="false"
				AdditionalDependencies="BWAPI.lib  tinyxml.lib CGAL-vc90-mt.lib gmp-vc90-mt.lib mpfr-vc90-mt.lib"
				OutputFile="$(OutDir)\BWTA.lib"
				AdditionalLibraryDirectories="..\lib\"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Resource Files"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
			>
		</Filter>
		<Filter
			Name="Interface"
			>
			<File
				RelativePath=".\include\BWTA\BaseLocation.h"
				>
			</File>
			<File
				RelativePath=".\include\BWTA.h"
				>
			</File>
			<File
				RelativePath=".\include\BWTA\Chokepoint.h"
				>
			</File>
			<File
				RelativePath=".\include\BWTA\Polygon.h"
				>
			</File>
			<File
				RelativePath=".\include\BWTA\RectangleArray.h"
				>
			</File>
			<File
				RelativePath=".\include\BWTA\Region.h"
				>
			</File>
		</Filter>
		<Filter
			Name="Source"
			>
			<File
				RelativePath=".\src\BaseLocationImpl.cpp"
				>
			</File>
			<File
				RelativePath=".\src\BaseLocationImpl.h"
				>
			</File>
			<File
				RelativePath=".\src\BWTA.cpp"
				>
			</File>
			<File
				RelativePath=".\src\BWTA_Result.cpp"
				>
			</File>
			<File
				RelativePath=".\src\BWTA_Result.h"
				>
			</File>
			<File
				RelativePath=".\src\calculate_connectivity.cpp"
				>
			</File>
			<File
				RelativePath=".\src\ChokepointImpl.cpp"
				>
			</File>
			<File
				RelativePath=".\src\ChokepointImpl.h"
				>
			</File>
			<File
				RelativePath=".\src\Color.h"
				>
			</File>
			<File
				RelativePath=".\src\ConnectedComponent.cpp"
				>
			</File>
			<File
				RelativePath=".\src\ConnectedComponent.h"
				>
			</File>
			<File
				RelativePath=".\src\extract_polygons.cpp"
				>
			</File>
			<File
				RelativePath=".\src\extract_polygons.h"
				>
			</File>
			<File
				RelativePath=".\src\find_base_locations.cpp"
				>
			</File>
			<File
				RelativePath=".\src\find_base_locations.h"
				>
			</File>
			<File
				RelativePath=".\src\functions.h"
				>
			</File>
			<File
				RelativePath=".\src\get_voronoi_edges.cpp"
				>
			</File>
			<File
				RelativePath=".\src\Globals.h"
				>
			</File>
			<File
				RelativePath=".\src\Graph.cpp"
				>
			</File>
			<File
				RelativePath=".\src\Graph.h"
				>
			</File>
			<File
				RelativePath=".\src\Heap.h"
				>
			</File>
			<File
				RelativePath=".\src\load_data.cpp"
				>
			</File>
			<File
				RelativePath=".\src\MapData.cpp"
				>
			</File>
			<File
				RelativePath=".\src\MapData.h"
				>
			</File>
			<File
				RelativePath=".\src\Node.cpp"
				>
			</File>
			<File
				RelativePath=".\src\Node.h"
				>
			</File>
			<File
				RelativePath=".\src\pathfinding.cpp"
				>
			</File>
			<File
				RelativePath=".\src\Polygon.cpp"
				>
			</File>
			<File
				RelativePath=".\src\RegionImpl.cpp"
				>
			</File>
			<File
				RelativePath=".\src\RegionImpl.h"
				>
			</File>
			<File
				RelativePath=".\src\stdafx.cpp"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="1"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="1"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath=".\src\stdafx.h"
				>
			</File>
			<File
				RelativePath=".\src\targetver.h"
				>
			</File>
			<File
				RelativePath=".\src\terrain_analysis.cpp"
				>
			</File>
			<File
				RelativePath=".\src\terrain_analysis.h"
				>
			</File>
			<File
				RelativePath=".\src\util.cpp"
				>
			</File>
			<File
				RelativePath=".\src\VertexData.cpp"
				>
			</File>
			<File
				RelativePath=".\src\VertexData.h"
				>
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
